Announcement

Collapse
No announcement yet.

More problems

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • More problems

    OK, brand new computer. Brand new Linux install. For those who are not bored with me, here's my latest installment in trying to get something useful going with SC.

    Installed Ubuntu 10.04. Downgraded PHP to 5.2. Click here for diagnosis.php output - it all looks pretty good, despite my limited cranial capacity.

    Installed SC5 from scratch. Thank you SC staff for the prompt response on resetting the license serial.

    Now, it starts up and I can log in. Then I get an error dialog. Dialog says "Click this link to send to Netmake". There is no link to click and send the email, unless it means I sould open the error log and email that. Email to who?



    Here's the error

    Array to string conversion | Script: /var/www/scriptcase/devel/class/page/nmPageOpenApp.class.php linha: 1538
    Scriptcase then stops working. None of the links do anything except the Home button. I've learnt if I click the home button I can get to the application selection page. However, attempting to do anything from there results in the same error.

    I'm not yet ready to accuse anyone of conspiracy, but given that it's now been several months since my SC5 purchase and that I have yet to spend a productive day with it, it is becoming quite disheartening.


    The GuiGuy
    ... from Down Under

  • #2
    Re: More problems

    Can you post the code at offending line? Unless it is zend protected?

    Sounds like an implode() error.

    Do you have all the extensions installed? Can you post phpinfo()?

    btw, the missing link you refer to is just the html file that opens and displays the error (bold text).
    Yes it means open and email to bugs@netmake.com.br

    Regards,
    Scott.

    Comment


    • #3
      Re: More problems

      [quote author=ScottMartin link=topic=1665.msg5275#msg5275 date=1280534787]
      btw, the missing link you refer to is just the html file that opens and displays the error (bold text).
      Yes it means open and email to bugs@netmake.com.br
      [/quote]

      I did yet another full re-install from scratch. This is the script I used to downgrade PHP5.3 to 5.2
      #! /bin/sh
      php_packages=`dpkg -l | grep php | awk '{print $2}'`

      sudo apt-get remove $php_packages

      sed s/lucid/karmic/g /etc/apt/sources.list | sudo tee /etc/apt/sources.list.d/karmic.list

      sudo mkdir -p /etc/apt/preferences.d/

      for package in $php_packages;
      do echo "Package: $package
      Pin: release a=karmic
      Pin-Priority: 991
      " | sudo tee -a /etc/apt/preferences.d/php
      done

      sudo apt-get update

      sudo apt-get install $php_packages
      Yet another install of zendoptimizer and SC5.1

      This time it seems to be working. I'm going to do a "Hello World" thingie next and then we'll see whether I can deploy. Delphi was never this much trouble.

      UPDATE: Pleased to report I managed to deploy and run a small project.
      The GuiGuy
      ... from Down Under

      Comment


      • #4
        Re: More problems

        OK, it looks like it's mostly sorted. I have managed to create and deploy relatively simple applications to a number of different servers. However, the SC5 error dialogs keep on popping up with frustrating regulatory.


        The GuiGuy
        ... from Down Under

        Comment


        • #5
          Re: More problems

          Is the same error dialog message as above?

          Several thoughts:

          -I see the PHP downgrade script, any chance it is not working correctly/completely and this is the source of your problem?
          -If you download a VB image of ubuntu lamp-server (8.10, or 9.10) that uses 5.2x instead of 5.3 native, any problems?

          http://virtualboximages.com/
          http://virtualboxes.org/images/ubuntu/

          http://sourceforge.net/projects/virt...86.7z/download

          -Do you have the misc php addons like CURL installed?
          -Any chance you can post your phpinfo() so I can compare it to mine?

          Regards,
          Scott.

          Comment


          • #6
            Re: More problems

            [quote author=ScottMartin link=topic=1665.msg5283#msg5283 date=1280588987]
            Is the same error dialog message as above?
            [/quote]

            I didn't pay attention. However, the good news is that after a restart of apache everything seems to working OK. I managed to stitch two projects together and deploy them without any further code generation errors.

            BTW, I am not running out of VB anymore. I installed a new desktop machine and put SC on i (Ubuntu). Would have preferred it on the office server, but I won't risk it at this point.

            [quote author=ScottMartin link=topic=1665.msg5283#msg5283 date=1280588987]
            -Do you have the misc php addons like CURL installed?
            -Any chance you can post your phpinfo() so I can compare it to mine?
            [/quote]

            At the moment everything is stock standard Ubuntu Lucid except the PHP downgrade.

            phpinfo() is here

            Cheers

            The GuiGuy
            ... from Down Under

            Comment


            • #7
              Re: More problems

              I do not know about you, but I need to take a seat and have a beer!

              Glad you got it working, perhaps now you can move forward.

              Regard,
              Scott.

              Comment


              • #8
                Re: More problems

                hi,

                I install natty and xampp171, xampp171 have php5.2.x this is xampp with last 5.2x version.
                i install also a zend333 and jre1.6.0_25, then i install scriptcase 5.2 it goes good but after i log in i my
                user account admin/admin it has an error in registration form.
                hows that.

                Thank in advance
                Regards,
                Ghulma

                Comment


                • #9
                  Re: More problems

                  you can try the scriptcase installer for linux.

                  Comment

                  Working...
                  X